ForbesLindesay ForbesLindesay

npm-fetch

8 8 0

Fetch npm modules

Dependencies

Package Locked Requirement Latest Status Changelog
Npms barrage ~1.0.0 1.1.0

barrage

Extensions to streams (as a mixin)

This dependency is not matching latest version. Please consider upgrading.

Npms discern ~1.1.0 1.1.2

discern

Discern information about git and github urls.

This dependency is up-to-date. Congrats and keep going!

Npms fetch-file ~1.0.1 1.0.1

fetch-file

Download from an http server to a local file.

This dependency is up-to-date. Congrats and keep going!

Npms fstream-npm ~0.1.4 1.0.1

fstream-npm

fstream class for creating npm packages

This dependency is not matching latest version. Please consider upgrading.

Npms hyperquest ~0.2.0 1.0.1

hyperquest

make streaming http requests

This dependency is not matching latest version. Please consider upgrading.

Npms npm-registry-client ~0.3.3 6.1.1

npm-registry-client

Client for the npm registry

This dependency is not matching latest version. Please consider upgrading.

Npms read-package-json ~1.1.0 1.3.1

read-package-json

The thing npm uses to read package.json files with semantics and defaults and validation

This dependency is not matching latest version. Please consider upgrading.

Npms semver ~2.2.1 4.3.1

semver

The semantic version parser used by npm.

This dependency is not matching latest version. Please consider upgrading.

Npms sha ~1.2.3 1.3.0

sha

Check and get file hashes

This dependency is not matching latest version. Please consider upgrading.

Npms tar-pack ~2.0.0 2.0.0

tar-pack

Package and un-package modules of some sort (in tar/gz bundles).

This dependency is up-to-date. Congrats and keep going!

Npms temp ^0.8.0 0.8.1

temp

Temporary files and directories

This dependency is up-to-date. Congrats and keep going!

Package Locked Requirement Latest Status Changelog
Npms mkdirp ^0.5.0 0.5.0

mkdirp

Recursively mkdir, like `mkdir -p`

This dependency is up-to-date. Congrats and keep going!

Npms mocha ~1.9 2.1.0

mocha

simple, flexible, fun test framework

This dependency is not matching latest version. Please consider upgrading.

Npms npm-registry-mock * 1.0.0

npm-registry-mock

mock the npm registry

This dependency is up-to-date. Congrats and keep going!

Npms npmconf * 2.1.1

npmconf

The config thing npm uses

This dependency is up-to-date. Congrats and keep going!

Npms rimraf ^2.2.8 2.2.8

rimraf

A deep deletion module for node (like `rm -rf`)

This dependency is up-to-date. Congrats and keep going!